<?php
// Включаем вывод ошибок на экран
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Подключение к базе данных
$servername = "localhost"; // Имя сервера базы данных
$username = "k123263_sender_u"; // Имя пользователя базы данных
$password = "84ms232e96aothgvw1"; // Пароль пользователя базы данных
$dbname = "k123263_sender"; // Имя базы данных

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    // Установка режима ошибок PDO на исключения
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Запрос для формирования отчета
    $sql = "SELECT s.email, 
                   COUNT(eo.id) AS opens, 
                   COUNT(cl.id) AS clicks,
                   s.phone,
                   s.contact,
                   s.company_name
            FROM subscribers s
            LEFT JOIN email_open_tracking eo ON s.id = eo.email_id
            LEFT JOIN email_click_tracking cl ON s.id = cl.email_id
            GROUP BY s.id";

    // Выполнение запроса
    $result = $conn->query($sql);

    // Вывод результатов запроса
    if ($result->rowCount() > 0) {
        echo "<table><tr><th>Email</th><th>Открытия</th><th>Переходы</th><th>Phone</th><th>Contact</th><th>Company Name</th></tr>";
        while ($row = $result->fetch(PDO::FETCH_ASSOC)) {
            echo "<tr><td>".$row["email"]."</td><td>".$row["opens"]."</td><td>".$row["clicks"]."</td><td>".$row["phone"]."</td><td>".$row["contact"]."</td><td>".$row["company_name"]."</td></tr>";
        }
        echo "</table>";
    } else {
        echo "Нет данных для отображения";
    }
} catch(PDOException $e) {
    echo "Ошибка: " . $e->getMessage();
}

// Закрытие соединения
$conn = null;
?>
